package com.example.ReceiveItem.controller;

import com.example.ReceiveItem.entity.Item;
import com.example.ReceiveItem.service.ItemService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpStatus;
import org.springframework.web.bind.annotation.*;
import reactor.core.publisher.Mono;

@RequestMapping("/items")
@RestController
public class ItemController {
    
    @Autowired
    private ItemService itemService;

    /**
     * Receive Item
     * @param Item The Item
     * @return The mono of Item
     */
    @PostMapping("/receive")
    @ResponseStatus(HttpStatus.ACCEPTED)
    public Mono<Item> receiveItem(@RequestBody Item Item){
        return itemService.receiveItem(Item);
    }

    @GetMapping("/ping")
    @ResponseStatus(HttpStatus.ACCEPTED)
    public Mono<String> ping(){
        return Mono.just("PONG");
    }
}

